Object containing abbreviated remote object value.

experimental

### Hierarchy

- ObjectPreview

## Index

### Properties

- description
- entries
- overflow
- properties
- subtype
- type

## Properties

### Optional description

description: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1203

String representation of the object.

### Optional entries

entries: EntryPreview[]

- Defined in node_modules/@types/node/inspector.d.ts:1215

List of the entries. Specified for `map` and `set` subtype values only.

### overflow

overflow: boolean

- Defined in node_modules/@types/node/inspector.d.ts:1207

True iff some of the properties or entries of the original object did not fit.

### properties

properties: PropertyPreview[]

- Defined in node_modules/@types/node/inspector.d.ts:1211

List of the properties.

### Optional subtype

subtype: undefined | string

- Defined in node_modules/@types/node/inspector.d.ts:1199

Object subtype hint. Specified for `object` type values only.

### type

type: string

- Defined in node_modules/@types/node/inspector.d.ts:1195

Object type.

Generated using TypeDoc